# ``twisted`.`positioning`.`nmea`.`GPGSAFixTypes``

class documentation

`class GPGSAFixTypes(Values): (source)`

View In Hierarchy

The possible fix types of a GPGSA sentence.

Constant | `GSA_2D_FIX` | The sentence reports a 2D fix: position but no altitude.
Constant | `GSA_3D_FIX` | The sentence reports a 3D fix: position with altitude.
Constant | `GSA_NO_FIX` | The sentence reports no fix at all.

GSA_2D_FIX = (source)
The sentence reports a 2D fix: position but no altitude.

Value

    ValueConstant('2')

GSA_3D_FIX = (source)
The sentence reports a 3D fix: position with altitude.

Value

    ValueConstant('3')

GSA_NO_FIX = (source)
The sentence reports no fix at all.

Value

    ValueConstant('1')